# module Chef::FileAccessControl::Windows

### Constants

ACE
ACL
SID
Security

### Public Instance Methods

define_resource_requirements() click to toggle source

    # File lib/chef/file_access_control/windows.rb, line 44
    def define_resource_requirements
      # windows FAC has no assertions
    end

describe_changes() click to toggle source

    # File lib/chef/file_access_control/windows.rb, line 52
    def describe_changes
      # FIXME: describe what these are changing from and to
      changes = []
      changes << "change dacl" if should_update_dacl?
      changes << "change owner" if should_update_owner?
      changes << "change group" if should_update_group?
      changes
    end

requires_changes?() click to toggle source

    # File lib/chef/file_access_control/windows.rb, line 48
    def requires_changes?
      should_update_dacl? || should_update_owner? || should_update_group?
    end

set_all() click to toggle source

    # File lib/chef/file_access_control/windows.rb, line 38
    def set_all
      set_owner
      set_group
      set_dacl
    end

set_all!() click to toggle source

    # File lib/chef/file_access_control/windows.rb, line 32
    def set_all!
      set_owner!
      set_group!
      set_dacl
    end